package com.unissoft.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统日志
 * </p>
 *
 * @author root
 * @since 2021-01-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysLog对象", description = "系统日志")
public class SysLog implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    @ApiModelProperty(value = "库点id")
    private Integer depotId;

    @ApiModelProperty(value = "请求url")
    private String requestUrl;

    @ApiModelProperty(value = "请求body")
    private String requestBody;

    @ApiModelProperty(value = "响应body")
    private String responseBody;

    @ApiModelProperty(value = "请求id")
    private String requestId;

    @ApiModelProperty(value = "请求方法（操作动作）")
    private String requestMethod;

    @ApiModelProperty(value = "登录账户")
    private String userName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "请求动作（操作模块）")
    private String requestAction;

    @ApiModelProperty(value = "主机ip")
    private String hostIp;

    @ApiModelProperty(value = "日志级别")
    private String lLevel;

    public SysLog(String requestUrl, String requestBody, String requestId, String requestMethod, String userName, Date createTime, String hostIp, String lLevel, Integer depotId) {
        this.requestUrl = requestUrl;
        this.requestBody = requestBody;
        this.requestId = requestId;
        this.requestMethod = requestMethod;
        this.userName = userName;
        this.createTime = createTime;
        this.hostIp = hostIp;
        this.lLevel = lLevel;
        this.depotId = depotId;
    }
}
